# GimpUi.ScaleEntry.set_logarithmic

    @accepts(GimpUi.ScaleEntry, bool)
    @returns(none)
    def set_logarithmic(self, logarithmic):
        # Python wrapper for gimp_scale_entry_set_logarithmic()

Sets whether self's scale widget will behave in a linear or logarithmic fashion. Useful when an entry has to attend large ranges, but smaller selections on that range require a finer adjustment.

Since 2.2

self

  a GimpUi.ScaleEntry as returned by GimpUi.ScaleEntry.new

logarithmic

  a boolean value to set or reset logarithmic behavior of the scale widget